org.hibernate.validator.parameternameprovider

## Class ParanamerParameterNameProvider

- java.lang.Object
- - org.hibernate.validator.parameternameprovider.ParanamerParameterNameProvider

- All Implemented Interfaces:
    ParameterNameProvider

      public class ParanamerParameterNameProvider
      extends Object
      implements ParameterNameProvider

  A `ParameterNameProvider` implementation backed by the ParaNamer library.

  The `Paranamer` implementation to use can be passed when creating a `ParanamerParameterNameProvider`. By default a `AdaptiveParanamer` will be used which is wrapped into a `CachingParanamer`. If no parameter names can be obtained from the configured `Paranamer`, the default parameter name provider will be used as fall back.

  The ParaNamer library must be present on the classpath when using this parameter name provider.

  Author:
    Gunnar Morling
  See Also:
    ParaNamer web site

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParanamerParameterNameProvider()`
    `ParanamerParameterNameProvider(com.thoughtworks.paranamer.Paranamer paranamer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getParameterNames(Constructor<?> constructor)`
    `List<String>` | `getParameterNames(Method method)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParanamerParameterNameProvider

          public ParanamerParameterNameProvider()

    - #### ParanamerParameterNameProvider

          public ParanamerParameterNameProvider(com.thoughtworks.paranamer.Paranamer paranamer)

  - ### Method Detail

    - #### getParameterNames

          public List<String> getParameterNames(Constructor<?> constructor)

      Specified by:
        `getParameterNames` in interface `ParameterNameProvider`

    - #### getParameterNames

          public List<String> getParameterNames(Method method)

      Specified by:
        `getParameterNames` in interface `ParameterNameProvider`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved